<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PrintHeadersOnAllPages.aspx.cs" Inherits="PrintHeadersOnAllPages" %>

<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="radG" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
    @media print
	{
		th 
		{
			font-family:Arial;
			color:black;
			background-color:lightgrey;
		}
		thead 
		{
			display:table-header-group;
		}
		tbody 
		{
			display:table-row-group;
		}
	}
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
		<radG:RadGrid ID="RadGrid1" runat="server" DataSourceID="AccessDataSource1" GridLines="None" Width="90%">
			<MasterTableView AutoGenerateColumns="False" DataKeyNames="CustomerID" DataSourceID="AccessDataSource1">
				<Columns>
					<radG:GridBoundColumn DataField="ContactName" HeaderText="ContactName" SortExpression="ContactName"
						UniqueName="ContactName">
					</radG:GridBoundColumn>
					<radG:GridBoundColumn DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName"
						UniqueName="CompanyName">
					</radG:GridBoundColumn>
					<radG:GridBoundColumn DataField="CustomerID" HeaderText="CustomerID" ReadOnly="True"
						SortExpression="CustomerID" UniqueName="CustomerID">
					</radG:GridBoundColumn>
					<radG:GridBoundColumn DataField="ContactTitle" HeaderText="ContactTitle" SortExpression="ContactTitle"
						UniqueName="ContactTitle">
					</radG:GridBoundColumn>
				</Columns>
				<ExpandCollapseColumn Visible="False">
					<HeaderStyle Width="19px" />
				</ExpandCollapseColumn>
				<RowIndicatorColumn Visible="False">
					<HeaderStyle Width="20px" />
				</RowIndicatorColumn>
			</MasterTableView>
		</radG:RadGrid>
		
		<asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Nwind.mdb" SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [ContactTitle] FROM [Customers]"></asp:AccessDataSource>
    </div>
    </form>
</body>
</html>
